Bug 1386059

Summary: inst.repo=nfs uses nfsvers=3 in dracut, causes confusion about ports
Product: [Fedora] Fedora Reporter: lnie <lnie>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: anaconda-maint-list, g.kaviyarasu, jonathan, kparal, lnie, mkolman, vanmeeuwen+fedora, vponcova
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:54:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
journal
none
journal none

Description lnie 2016-10-18 02:47:30 UTC
Created attachment 1211587 [details]
journal

Description of problem:

Boot a VM using virt-manager with kernel-path,initrd-path and inst.repo (nfs repo)correctly added,the system ends up with dracut-initqueue timeout.
I saw "mount.nfs: Connection timed out" in journal.To make sure the repo is usable,I have created a VM using .iso installer,and added an inst.repo option with the nfs repo specified,and the installer successfully auto-selects it as the installation source.
FYI:The http repo works well with pxeboot.
Not sure if this is the right place,please feel free to reassign,thanks.

Version-Release number of selected component (if applicable):
f25-beta-1.1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2016-10-18 02:52 UTC
Created attachment 1211590 [details]
journal

Comment 2 Kamil Páral 2016-11-10 09:26:12 UTC
I've performed a pxe installation with inst.repo=nfs: just fine. However, I had the same troubles yesterday, and I figured that anaconda itself probably mounts with nfs4, but dracut (used for pxe+inst.repo) mounts with "nfsvers=3" option. Which requires different ports to be open. When I stopped firewalld, everything started to work properly.

Lili, can you test without a firewall? Also, if you need to debug more, try to mount your nfs repo from a different computer with "-o nfsvers=3" if that works or not (which will tell you whether the problem is on your server or in the installer).

Comment 3 lnie 2016-11-10 09:47:10 UTC
The installation source is fine,as I have used it for other tests,and it works well,and I have tried to mount it before I used it.
I have tried to reproduce this with firewall disabled just now,and turns out the nfs repo works well without firewall:)

Comment 4 Kamil Páral 2016-11-10 10:34:47 UTC
OK, since two of us hit the same issue about the same day, and were similarly confused by it, I'll rephrase this bug:

Anaconda folks, please have a look at why dracut (the anaconda plugin in it, I suppose) forces nfsvers=3, and if the reasons are not needed anymore, consider removing it. Because it's confusing that inst.repo=nfs gets mounted fine in some scenarios (when using directly in anaconda gui, or when stage2 is present), but isn't mounted fine in other scenarios (pxeboot).

Thanks.

Comment 5 Fedora End Of Life 2017-11-16 19:17:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:54:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.